Debian Bug report logs - #394993
apt-setup should clean up its mess

Package: apt-setup; Maintainer for apt-setup is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Martin Zobel-Helas <martin.zobel-helas@credativ.de>

Date: Tue, 24 Oct 2006 09:03:16 UTC

Severity: important

Done: Miguel Figueiredo <elmig@debianpt.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#394993; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <martin.zobel-helas@credativ.de>:
New Bug report received and forwarded. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <martin.zobel-helas@credativ.de>
To: submit@bugs.debian.org
Subject: apt-listbugs: fails with proxy-information
Date: Tue, 24 Oct 2006 10:53:29 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: apt-listbugs
Version: 0.0.63
Severity: important

Hi,

after todays upgrade of my etch machine, i get the following error when
installing new packages:

Reading package fields... Done
Reading package status... Done
Retrieving bug reports... 0% W: unsupported proxy `false'
Error retrieving bug reports
Retry downloading bug information?[Y/n]?
 W: unsupported proxy `false'
Error retrieving bug reports
Retry downloading bug information?[Y/n]? n
Abort the installation[Y/n]? n
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
Selecting previously deselected package procmail.
(Reading database ... 152594 files and directories currently installed.)
Unpacking procmail (from .../procmail_3.22-16_i386.deb) ...
Setting up procmail (3.22-16) ...
Press return to continue.

I am not aware that i changed any apt-listbugs settings, so i asume,
there is something changed in the package.

Greetings
Martin
- --
Martin Zobel-Helas
credativ GmbH                    Tel: +49 24 61 / 69 07 10
Karl-Heinz-Beckurts-Str. 13      Fax: +49 24 61 / 69 07 11
D-52428 Jülich                   www: http://www.credativ.de
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFFPdSJST77jl1k+HARAi3GAKCVe+zkfzugBq/21w4jcH3dS39JTQCg4GT4
AWn567fy3DRDIP0Z0Ie6yxI=
=XlZ2
-----END PGP SIGNATURE-----



Reply sent to Junichi Uekawa <dancer@netfort.gr.jp>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Zobel-Helas <martin.zobel-helas@credativ.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 394993-done@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Martin Zobel-Helas <martin.zobel-helas@credativ.de>, 394993-done@bugs.debian.org
Subject: Re: Bug#394993: apt-listbugs: fails with proxy-information
Date: Tue, 24 Oct 2006 23:46:42 +0900
Hi,

> Reading package fields... Done
> Reading package status... Done
> Retrieving bug reports... 0% W: unsupported proxy `false'

yes. You have installed your system with a broken apt-setup.

> I am not aware that i changed any apt-listbugs settings, so i asume,
> there is something changed in the package.

I presume you've upgraded from a pre-0.0.57 version.


regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project



Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#394993; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <martin.zobel-helas@credativ.de>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #15 received at 394993@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <martin.zobel-helas@credativ.de>
To: Junichi Uekawa <dancer@netfort.gr.jp>, 394993@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#394993: apt-listbugs: fails with proxy-information
Date: Wed, 25 Oct 2006 11:17:10 +0200
reopen 394993
thanks

On Tue, Oct 24, 2006 at 04:46:42PM CEST, Junichi Uekawa <dancer@netfort.gr.jp> wrote:
> Hi,
> 
> > Reading package fields... Done
> > Reading package status... Done
> > Retrieving bug reports... 0% W: unsupported proxy `false'
> 
> yes. You have installed your system with a broken apt-setup.

> > I am not aware that i changed any apt-listbugs settings, so i asume,
> > there is something changed in the package.
> 
> I presume you've upgraded from a pre-0.0.57 version.
I installed my system half a year ago, using etch install, don't know if
the Installer was already broken. And actually i don't care. If your
package depends on a fixed version of apt-setup, work on your upgrade
path.

I don't now if I upgraded from pre-0.0.57. I upgraded my system as i
always do once a day, and this issue popped up. As this is a clear
upgrade path issue, i reopen this bug, as packages need to be
upgradable.

Greetings
Martin
-- 
Martin Zobel-Helas
credativ GmbH                    Tel: +49 24 61 / 69 07 10
Karl-Heinz-Beckurts-Str. 13      Fax: +49 24 61 / 69 07 11
D-52428 Jülich                   www: http://www.credativ.de




Bug reopened, originator not changed. Request was from Martin Zobel-Helas <martin.zobel-helas@credativ.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#394993; Package apt-listbugs. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #22 received at 394993@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Martin Zobel-Helas <martin.zobel-helas@credativ.de>
Cc: Junichi Uekawa <dancer@netfort.gr.jp>, 394993@bugs.debian.org, control@bugs.debian.org
Subject: apt-setup should clean up its mess with proxy configuration
Date: Thu, 26 Oct 2006 08:36:06 +0900
reassign 394993 apt-setup
retitle 394993 apt-setup should clean up its mess
thanks

Hi,

apt-setup has been setting up Proxy setting with 'false', and there
are many systems in the wild with that configuration.  apt-setup
should really clean-up the mess it has created, or at least warn the user if the user has the 
proxy configuration 'false' in the postinst.

I'm not quite confident on how this should really be implemented.

regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project


At Wed, 25 Oct 2006 11:17:10 +0200,
Martin Zobel-Helas wrote:
> 
> reopen 394993
> thanks
> 
> On Tue, Oct 24, 2006 at 04:46:42PM CEST, Junichi Uekawa <dancer@netfort.gr.jp> wrote:
> > Hi,
> > 
> > > Reading package fields... Done
> > > Reading package status... Done
> > > Retrieving bug reports... 0% W: unsupported proxy `false'
> > 
> > yes. You have installed your system with a broken apt-setup.
> 
> > > I am not aware that i changed any apt-listbugs settings, so i asume,
> > > there is something changed in the package.
> > 
> > I presume you've upgraded from a pre-0.0.57 version.
> I installed my system half a year ago, using etch install, don't know if
> the Installer was already broken. And actually i don't care. If your
> package depends on a fixed version of apt-setup, work on your upgrade
> path.
> 
> I don't now if I upgraded from pre-0.0.57. I upgraded my system as i
> always do once a day, and this issue popped up. As this is a clear
> upgrade path issue, i reopen this bug, as packages need to be
> upgradable.
> 
> Greetings
> Martin
> -- 
> Martin Zobel-Helas
> credativ GmbH                    Tel: +49 24 61 / 69 07 10
> Karl-Heinz-Beckurts-Str. 13      Fax: +49 24 61 / 69 07 11
> D-52428 Jülich                   www: http://www.credativ.de
> 



Bug reassigned from package `apt-listbugs' to `apt-setup'. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#394993; Package apt-setup. (Tue, 28 Sep 2010 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 28 Sep 2010 19:30:03 GMT) Full text and rfc822 format available.

Message #31 received at 394993@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 394993@bugs.debian.org
Subject: close with #378868 fix?
Date: Tue, 28 Sep 2010 20:24:51 +0100
Hi all,

i believe this is the same issue as #378868 which is already solved.
I believe this BR should had been closed together with #378868.

Agree?

Best regards,

Miguel Figueiredo
http://www.DebianPT.org






Reply sent to Miguel Figueiredo <elmig@debianpt.org>:
You have taken responsibility. (Thu, 06 Jan 2011 21:39:08 GMT) Full text and rfc822 format available.

Notification sent to Martin Zobel-Helas <martin.zobel-helas@credativ.de>:
Bug acknowledged by developer. (Thu, 06 Jan 2011 21:39:08 GMT) Full text and rfc822 format available.

Message #36 received at 394993-done@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 394993-done@bugs.debian.org
Subject: This was fixed by #378868.
Date: Thu, 06 Jan 2011 21:37:08 +0000
This was fixed by #378868.

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Feb 2011 07:34:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:25:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.